Bug 576953 - Search is broken: it's case sensitive, deliminator sensitive, and all fields lie.
Summary: Search is broken: it's case sensitive, deliminator sensitive, and all fields ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Dimitar Yordanov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: sat531-triage 592351
TreeView+ depends on / blocked
 
Reported: 2010-03-25 17:53 UTC by Todd Warner
Modified: 2011-02-01 10:34 UTC (History)
3 users (show)

(edit)
Cause:

Consequence:

Fix:

Result:
Clone Of:
: 592351 (view as bug list)
(edit)
Last Closed: 2011-02-01 10:34:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0189 normal SHIPPED_LIVE Red Hat Network Satellite bug fix update 2011-02-01 10:31:45 UTC

Description Todd Warner 2010-03-25 17:53:26 UTC
Description of problem:
Search is broken: case sensitive, deliminator sensitive, fields are wrong.

Version-Release number of selected component (if applicable):
5.3.0 latest

How reproducible:
Always

Steps to Reproduce:
1. Search for an errata by CVE. We'll use this as our example: CVE-2010-0097
2. Now search by CVE, but make it cve-2010-0097 --- it will NOT work.
3. Now search by CVE, but make it 2010-0097 --- it will work.
4. Now try CVE20100097 --- it will NOT work.
5. Now try "All Fields" They will all fail since All Fields does not include all fields.
  
Actual results:
Ugh.

Expected results:
Yay!

Additional info:
Talk to me, taw@redhat.com, if you have further questions.

Comment 1 Justin Sherrill 2010-05-14 15:52:32 UTC
So fixed case sensitive search and partial searches not working here:  7fbdf029cf8666a5033032755da3421af4c69f5a

Comment 2 Justin Sherrill 2010-05-14 15:54:04 UTC
Going to clone this to fix the All fields not including CVE, as that is a bit harder to solve.

Comment 5 Tomas Lestach 2010-12-17 08:21:34 UTC
Comment#1 and Comment#4 are wrong.

spacewalk.git: 7cacc612569df36d2af6826ce2889755edcfc7b3

Comment 7 Justin Sherrill 2011-01-13 20:18:43 UTC
Spacewalk-java never was rebuilt after this change, which is required even though its an issue with search server.  Rebuilding java.

Comment 9 Florian Nadge 2011-01-17 13:54:50 UTC
Please be so kind and add a few key words to the Technical Notes of this
Bugzilla entry using the following structure:

Cause:

Consequence:

Fix:

Result:

For details, see:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks

Comment 10 Florian Nadge 2011-01-17 13:54:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

Consequence:

Fix:

Result:

Comment 11 Justin Sherrill 2011-01-17 14:15:08 UTC
Additional bugzilla opened to handle comment #2 and last bullet point in original bugzilla:

https://bugzilla.redhat.com/show_bug.cgi?id=592351

Comment 12 Dimitar Yordanov 2011-01-20 00:14:51 UTC
Verified.
RHEL4, RHEL5 - s390x, x86_64

CVE-2010-4538  - works 
cve-2010-4538  - works

The rest will be fix latter according to Comment 2.
CVE20104538    -           does not work
CVE-2010-4538 All Fields : does not work
cve-2010-4538 All Fields : does not work
CVE20104538   All Fields : does not work
cve20104538   All Fields : does not work

Comment 13 errata-xmlrpc 2011-02-01 10:34:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0189.html


Note You need to log in before you can comment on or make changes to this bug.